<%
    ' **************************************************************************************
    ' Terms for Modification.
    ' You may modify this page, provided that the original copyright notice
    ' attributing copyright ownership to MetaQuest Software Inc. and Vector Networks Ltd.
    ' is not removed or hidden.
    ' **************************************************************************************
  
	Response.Buffer = True
	Response.ExpiresAbsolute = Now() - 1
	Response.Expires = -1
	Response.CacheControl = "no-cache"

	' Set to True if used in the Public Cloud Evaluation
	Const PUBLIC_EVAL=False

	Dim SHOW_PERSONA_LOGON 
	SHOW_PERSONA_LOGON = "Yes"="<Mq_GS_431>"
	
	Dim SHOW_RESET_PASSWORD 
	SHOW_RESET_PASSWORD = "Yes"="<Mq_GS_460>"
	
	Dim SHOW_CREATE_ACCOUNT 
	SHOW_CREATE_ACCOUNT = "Yes"="<Mq_GS_461>"

	Dim SHOW_AD_LOGON 
	SHOW_AD_LOGON = "Yes"="<Mq_GS_464>"

	Dim SHOW_G_LOGON 
	SHOW_G_LOGON = "1"="<Mq_GS_478>"

	Const BUILD_NUM="7.7.0.319.020"
	
%>
	<!--#include file="logonUtils.asp" -->
<%

	If PUBLIC_EVAL Then
		If Request.QueryString("l") = 1 OR Request.QueryString("View") <> "" OR Request.QueryString("redirect") <> "" Then
			'stay here
		Else
			Response.Redirect "logoneval.html"
		End If
		
	End If
	
	If Request.QueryString(QS_EXIT) <> 1 Then
		Dim strAuthCookie
		Dim strLogonType
		Dim strState
		Dim strView
		Dim strURL
		Dim strVDName
		Dim strSignature

		Const AMPERSAND = "&"
		
		strAuthCookie = Request.Cookies(AUTH_COOKIE_NAME)
		strLogonType = Request.QueryString(QS_LOGON_TYPE)
		strState = "1"
		strView = Request.QueryString(QUERY_STRING_VIEW)
		strSignature = Request.QueryString(QS_SIGNATURE)
		strVDName = GetBaseVDName()
		If Len(strView) > 0 Then
			strState = "1;2"
		End If
		
		strURL = ""
		
		If  Len(strLogonType) > 0 Then
			If CInt(strLogonType) = CInt(LOGON_TYPE_TRUSTED) Then
				'Validate the signature
				If ValidateSignature(strSignature) Then
					strURL = "/" & GetNextVDName(Request.QueryString(QS_USER_NAME)) & _
									"/validatelogon.asp?State=" & Server.URLEncode(strState) & _
									"&" & QS_LOGON_TYPE & "=" & Server.URLEncode(Request.QueryString(QS_LOGON_TYPE))  & _ 
									"&" & QS_IS_MOBILE & "=" & Server.URLEncode(Request.QueryString(QS_IS_MOBILE)) & _
									"&" & QS_VIEW & "=" & Server.URLEncode(Request.QueryString(QS_VIEW)) & _
									"&" & QS_REC_ID & "=" & Server.URLEncode(Request.QueryString(QS_REC_ID)) & _
									"&redirect=1&lp=/" &  strVDName & "/logoff.asp" & _
									"&" & AUTH_COOKIE_NAME & "=" & Server.URLEncode(GetAuthToken(Request.QueryString(QS_USER_NAME))) 
									
					Response.Redirect strURL
				End If
			End If
		End If
		
		If Len(strAuthCookie) > 0 And Len(strLogonType) > 0 And strLogonType <> LOGON_TYPE_CENSUS Then
			
			strURL = "/" & GetNextVDName(Request.QueryString(QS_USER_NAME)) & _
									"/validatelogon.asp?State=" & Server.URLEncode(strState) & "&redirect=1&" & AUTH_COOKIE_NAME & _
									"=" & Server.URLEncode(strAuthCookie)
									
			'so we don't end up with &&varCookie
			If Len(Request.QueryString) > 0 Then
				strURL = strURL & "&" & Request.QueryString
				If Right(strURL, Len(AMPERSAND)) = AMPERSAND Then
					strURL = Left(strURL, Len(strURL) - Len(AMPERSAND))
				End If
			End If
			
			strURL = strURL & "&varCookie=" & Server.URLEncode(Request.Cookies("MqMain1"))
									
			'URL can't be longer than 2048 characters, so trim if needed
			strURL = Left(strURL, MAX_URL_LEN)
			
			Response.Redirect strURL
		End If
		
		If Len(strView) > 0 And Len(Request.QueryString(QUERY_STRING_PSW)) = 0 Then
			'we didn't redirect elsewhere, so try to go to the view
			Dim strURLDispatcher
			
			strURLDispatcher = Request.QueryString("UD")
			
			If strURLDispatcher <> "1" Then
				
				strURL = "URLDispatcher?" & Request.QueryString 

				Response.Redirect strURL
			End If
		End If
		
	End If

	Server.Execute "InitLocalization.asp"
				
%>

<!DOCTYPE HTML>
<html lang="<% =Session(SESS_VAR_LOCAL_CULTURE) %>">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-title" content="VIZOR Login">
	<link rel="apple-touch-icon" href="theme/images/images/apple-touch-icon.png">
	<link rel="icon" type="image/png" href="theme/images/images/Census.png" sizes="32x32">
	<meta name="build" content="<%=BUILD_NUM%>">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.2.0/css/all.css">
	<link rel="shortcut icon" href="theme/images/images/Census.ico" type="image/ico" >
	<link rel="icon" href="theme/images/images/Census.ico" type="image/ico">

	<title></title>
	<!--MqRelPath--><link rel="stylesheet" type="text/css" href="theme/css/censusmain.css"/><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" type="text/css" href="<BASE_VD>/theme/css/censusmain.css"/></MqAbsPath-->
	
	<script>
		history.pushState(null, document.title, location.href);
		window.addEventListener('popstate', function (event)
		{
			history.pushState(null, document.title, location.href);
		});
	</script>
	<link rel="stylesheet" type="text/css" href="/connect/js/jquery/jquery-confirm.min.css"  />	
	<script type="text/javascript" src="/connect/js/jquery/jquery-1.11.1.min.js"></script>
	<script type="text/javascript" src="/connect/js/jquery/jquery-confirm.min.js"></script>

	<script type="text/javascript" src="/connect/js/mqsysutils.js"></script>
	<script type="text/javascript" src="/connect/js/themes.js"></script>
	<script type="text/javascript" src="/connect/js/logon.js"></script>
	<script type="text/javascript" src="/connect/js/vn.core.js"></script>

	<script type="text/javascript">
		
		var objCookie= new MqCookies();
		var sessURL = new CMqWebSessionURL();
		var m_PersonaLogons;
		
		sessURL.Init("", "<%=Application("BaseVDName")%>");
		
		if(sessURL.BaseVDName()){
			objCookie.MainVD=sessURL.BaseVDName();
		}
		
		var m_objMqButton= new MqButton();
		
	</script>
	
	<!--#include file="upkeep.asp" -->

	
	<script type="text/javascript">
		
		var BUTTON_LOGON_NAME="Logon";
		var BUTTON_LOGON_BASE_CLASS="Logon";

		var obrowser = CMqBrowserDetector();
		var m_blnIsMobile = obrowser.mobile;     //Check whether the current browser is mobile or not.
		
		// Need to load it before OnLoad because some code executes before, like for Google
		var m_LogonFrm=new MqLogonFrm("UserName","Password",BUTTON_LOGON_NAME,
																	m_objMqButton,m_blnIsMobile, window, sessURL);		

		var oStyles = new MqStyles();

	
		function openNewWindow(strUrl){
			window.open(strUrl,"Child","");
		}
		function OpenHelpWindow(strUrl,strWindowName){
			window.open(strUrl,strWindowName,
				'resizable=yes,toolbar=no,directories=no,width=600,height=450');
		}
		function OpenAboutWindow(strUrl,strWindowName)
		{
			window.open(strUrl,strWindowName,
				'scrollbars=no,resizable=yes,toolbar=no,directories=no,width=380,height=260');
		}
		
		function onLoad()
		{
			var strLogoHTML = "";
            
			if(!m_blnIsMobile)
			{
				//<% if SHOW_PERSONA_LOGON then %>
				m_PersonaLogons = new PersonaLogonsMgr(document, personaArr, "m_PersonaLogons", this);
				m_PersonaLogons.WriteMenu();
				//<% end if %>
				
				strLogoHTML += '<td align="left" width="200">';							   
				strLogoHTML += '<img class="TopBarLogo" style="height:60px; margin:20px;" src="theme/images/logos/logo.png" />';
				strLogoHTML += '</td>';
				document.getElementById("TopBarLogo").innerHTML = strLogoHTML;   
			}
					
			if(m_blnIsMobile) {
				strLogoHTML += '<td align="center" width="100%" style="position:relative; top:90%;">';
				strLogoHTML += '<img class="TopBarLogo" style="margin:0 auto; position:relative; left:calc(50% - 25%); top: 30px;" src="theme/images/logos/logo-notext.png" />';
				strLogoHTML += '</td>';
				document.getElementById("TopBarLogo").outerHTML = strLogoHTML;
			}
			
			if(m_strPostedData){
				if(m_strPostedData!=""){
					var objPostTxt=document.getElementById("txtPostData");
					if(objPostTxt){
						objPostTxt.value=m_strPostedData;
					}
				}
			}
			
			if(m_strSOVRedirURL){
				if(m_strSOVRedirURL.length>0){
					RedirectSOV(m_strSOVRedirURL);
				}
			}
			var frmLogon = document.Logon;
			var strLogonName = objCookie.GetCookieProp(objCookie.GetMainCookieName(), "CensusLogonInfo");
			
			if (!strLogonName || typeof(strLogonName)=="undefined" || strLogonName=="undefined")
			{
				strLogonName=g_MqRef.RESX["LOGON.DEF_LOGON_NAME"];
			}			
			if(strLogonName){		
				frmLogon.UserName.value = strLogonName;
			}			

			m_LogonFrm.OnLoad();
			
			var iHeightDiff=0;
			<% if NOT SHOW_CREATE_ACCOUNT then %>
				iHeightDiff+=40;
			<% end if %>
			<% if NOT SHOW_AD_LOGON then %>
				iHeightDiff+=40;
			<% end if %>

			var objLoginScreen=document.getElementById("loginScreen");
			if(objLoginScreen){
				objLoginScreen.style.height=objLoginScreen.offsetHeight-iHeightDiff+"px";
			}
			
			var objCopyrightMsg=document.getElementById("divCopyrightMsg");
			if(objCopyrightMsg){
				objCopyrightMsg.style.top=objCopyrightMsg.offsetTop-iHeightDiff+"px";
			}
			
			//scale fix for mobile
			if(CMqBrowserDetector().mobile)
			{
				try
				{
					//get a specific element
					var elm = $("head meta:nth-child(1)").next().next();
					//set it's content attribute's value to 0 and then set it back to 1
					elm.attr("content","width=device-width, user-scalable=no, initial-scale=0.0");
					elm.attr("content","width=device-width, user-scalable=no, initial-scale=1.0");
				}
				catch(err)
				{
					console.log("fix for mobile failed");
				}
			}
			
		}

		
		function clicked(e)
		{
			if (e.keyCode == 13){
				logOn();
			}
		}

		function GetQueryString()
		{
		    var strPath = document.URL;
		    var intLocation = strPath.indexOf("?");
			var strQueryString="";

			if (intLocation>0){
				strQueryString=strPath.substring(intLocation + 1);
			}

		    return strQueryString;
		}

		function logOn()
		{
			if (objCookie.CookiesEnabled()) {

				varfrmLogon = document.Logon;

				var strName = trim(varfrmLogon.UserName.value);
				var strPassword = trim(varfrmLogon.Password.value);

				var strBrowser=navigator.appName;
				
				if(g_MqRef.MqBrowser.ie){
					strBrowser="Microsoft Internet Explorer";
				}
				
				varfrmLogon.txtbrowsername.value = strBrowser;
				
				varfrmLogon.varCookie.value=objCookie.getCookie(objCookie.GetMainCookieName());

				if (strName  == ""){
					window.alert(g_MqRef.RESX["LOGON.MSG_ENTER_LOGON_NAME"]);
					varfrmLogon.UserName.value="";
					m_LogonFrm.SetFocus();
				}else{
					m_objMqButton.DisableButton(BUTTON_LOGON_NAME);
					
					var strView=g_MqRef.MqStr.GetQueryStringValue(location.search, "View");
					var strState="1";
					if(strView!=""){
						strState="1;2"
					}
					var strMobile="";
					if(m_blnIsMobile){
						strMobile="mob=1&";
					}
									
					varfrmLogon.method = "post";
					varfrmLogon.action = "/" + GetNextVDName(strName) + "/validatelogon.asp?State=" + g_MqRef.MqStr.MqEncodeURIComponent(strState) + "&" + strMobile + GetQueryString();
					varfrmLogon.submit();
				}

			}else{
				window.alert(g_MqRef.RESX["LOGON.MSG_BROWSER_NOT_ACCEPT_COOKIES"]);						
			}
		}
		
		function GetNextVDName(strLogonName)
		{
			return g_MqRef.MqFS.GetCurrentVD();
			/*var strVDName="connect";
			
			if(g_MqRef.MqStr.GetQueryStringValue(location.search, "noswitch")=="1")
			{
				//we don't want to switch, return the current VD
				strVDName = g_MqRef.MqFS.GetCurrentVD();
			}
			else
			{
				var objRequest=new CMqHTTPRequest_js();
				var co=objRequest.Get("/" + strVDName + "/vzvd/" + strLogonName + "/GetNextVD");
				
				if (co!=objRequest.CANCEL_PROCESS){
					var objResponse=objRequest.Response(co);
						
					if (objResponse){
						if (objResponse.HasErrors()){
							objResponse.ProcessErrors("",true,window);
						}else{
							if(co!=""){	
								strVDName=co;
							}
						}
					}
				}
			}
			return strVDName;*/
		}
		
		function trim(strToTrim){
			while (strToTrim.charAt(0) == " "){
				strToTrim = strToTrim.substr(1, strToTrim.length);
			}
			while (strToTrim.charAt(strToTrim.length - 1) == " "){
				strToTrim = strToTrim.substr(0, strToTrim.length - 1);
			}
			return (strToTrim);
		}

		function Center(strHTMLID,fHorizontally,fVertically)
		{
			if (strHTMLID.length>0){
				var objHTML=document.getElementById(strHTMLID);

				if (objHTML){

					if (fHorizontally){
						var intBodyWidth;
						if (document.all){
							intBodyWidth=document.body.offsetWidth;
						}else{
							intBodyWidth=window.innerWidth;
						}
						objHTML.style.left=(intBodyWidth)/2 - (objHTML.offsetWidth)/2 + "px";
					}

					if (fVertically){
						var intBodyHeight;
						if (document.all){
							if (document.documentElement && document.documentElement.offsetHeight){
								intBodyHeight=document.documentElement.offsetHeight;
							}else{
								intBodyHeight=document.body.offsetHeight;
							}
						}else{
							intBodyHeight=window.innerHeight;
						}
						objHTML.style.top=(intBodyHeight)/2 - (objHTML.offsetHeight)/2 + "px";
					}

				}
			}
		}

		function WriteDateTime()
		{
			var objDate=document.getElementById("date");
			var objTime=document.getElementById("time");
			if(objDate && objTime){
				var strDateHTML="";
				var strTimeHTML="";
				
				var d=new Date();
				var weekday=new Array(7);
				weekday[0]=g_MqRef.RESX['WEEKDAY_SUNDAY'];
				weekday[1]=g_MqRef.RESX['WEEKDAY_MONDAY'];
				weekday[2]=g_MqRef.RESX['WEEKDAY_TUESDAY'];
				weekday[3]=g_MqRef.RESX['WEEKDAY_WEDNESDAY'];
				weekday[4]=g_MqRef.RESX['WEEKDAY_THURSDAY'];
				weekday[5]=g_MqRef.RESX['WEEKDAY_FRIDAY'];
				weekday[6]=g_MqRef.RESX['WEEKDAY_SATURDAY'];
	
				var months=new Array(12);
				months[0]=g_MqRef.RESX['MONTH_JANUARY'];
				months[1]=g_MqRef.RESX['MONTH_FEBRUARY'];
				months[2]=g_MqRef.RESX['MONTH_MARCH'];
				months[3]=g_MqRef.RESX['MONTH_APRIL'];
				months[4]=g_MqRef.RESX['MONTH_MAY'];
				months[5]=g_MqRef.RESX['MONTH_JUNE'];
				months[6]=g_MqRef.RESX['MONTH_JULY'];
				months[7]=g_MqRef.RESX['MONTH_AUGUST'];
				months[8]=g_MqRef.RESX['MONTH_SEPTEMBER'];
				months[9]=g_MqRef.RESX['MONTH_OCTOBER'];
				months[10]=g_MqRef.RESX['MONTH_NOVEMBER'];
				months[11]=g_MqRef.RESX['MONTH_DECEMBER'];
				
				var strMin=d.getMinutes();
				if(strMin < 10){
					strMin="0"+strMin;
				}
				
				var strPostfix=g_MqRef.RESX['DISPLAY_TIME_AM'];
				var lngHour=d.getHours();
				if(lngHour>=12){
					strPostfix=g_MqRef.RESX['DISPLAY_TIME_PM'];
				}
				var TIME_AS_24_H=g_MqRef.RESX["LOGON_TIME_AS_24_H"];
				
				if(TIME_AS_24_H=="0"){
					if(lngHour>12){
						lngHour=lngHour-12;
					}
					if(lngHour==0){
						lngHour=12;
					}
				}
				
				var DATE_FORMAT=g_MqRef.RESX["LOGON_DATE_FORMAT"];
				var TIME_FORMAT=g_MqRef.RESX["LOGON_TIME_FORMAT"];
				
				strTimeHTML=g_MqRef.MqStr.FormatString(TIME_FORMAT,lngHour + ";" + strMin + ";" + strPostfix, ";");
				strDateHTML=g_MqRef.MqStr.FormatString(DATE_FORMAT,weekday[d.getDay()]+";" + months[d.getMonth()] + ";" + d.getDate(), ";");
									
				objDate.innerHTML=strDateHTML;
				objTime.innerHTML=strTimeHTML;
				window.setTimeout("WriteDateTime()", 5000);
			}
		}
		</script>
</head>
<body class="LogonBody" onload="onLoad();" >

		<table id="LogonWarningPane" class="LogonWarningPane" style="visibility:hidden;display:none">
			<tr>
				<td class="LogonWarningPaneIcon"><a class="Warning"></a></td>
				<td id="LogonWarningPaneText" class="LogonWarningPaneText" ></td>
			</tr>
		</table>
	
	<div class="TopBar">
			<table width="100%" class="TopBar">
				<tr>
					<i id="TopBarLogo"></i>
					<td align="right" width="200">

					<% If Session(SESS_VAR_LOCAL_CULTURE)="es-MX" Then %>
						<a href="#" class="PageNavigationLightBg" >EN</a>
					<% ElseIf (MULTIPLE_LOCAL_CULTURE) Then %>
						<a href="?lc=es" class="PageNavigationLightBg">ES</a>

					<% End If %>
					
					</td>

				</tr>
			</table>
		</div>
		

	<div class="loginDiv" id="loginScreen">
        <div class="loginDivInner" id="loginDivInner">
        
			<!--img src="theme/images/logos/prodnameB.png" width="400px" style="margin-left:-100px;margin-top:20px;margin-bottom:10px;" /-->
			<form id="Logon" name="Logon">
			<table id="loginDivInnerTable" style="padding:0px;border-spacing:0px; width:100%;display:none;">
			<tr><td style="padding-left:3px">
				<label id="userLabel" for="UserName" class="logonInput" translate="no" data-res="CAPTION_USERNAME"></label>
				<i class="fas fa-user mblIconsUSR" style=""></i>
			</td></tr>
				<tr>
					<td >
					<input type="text" name="UserName" id="UserName" placeholder="Logon Username" 
					class="logonInput" onkeypress="clicked(event);m_LogonFrm.AdjustUI();" 
					oninput="if (m_LogonFrm) {m_LogonFrm.AdjustUI()};"  tabindex="1"></td>
				</tr>
				<tr style="height: 20px;">
					<td style="vertical-align: top !important;">
					<label id="pwdLabel" for="Password" style="visibility:hidden;" 
					class="logonInput" translate="no" data-res="CAPTION_PASSWORD"></label>
					<i class="fas fa-unlock-alt mblIconsPWD"></i>
					<% if SHOW_RESET_PASSWORD then %>
					<a href="/<%=GetBaseVDName()%>/forgotpwd.htm" class="LogonWithNet" 
					style="position:absolute;right:100px" id="forgotPwd" name="forgotPwd"
								translate="yes" data-res="LOGON.FORGOT_PWD" tabindex="3"></a>
					<% end if %>
				</td>
				</tr>
				<tr>
					<td>						        
					<input type="password" name="Password" id="Password" placeholder="Password" style="visibility:hidden;" class="logonInput" onkeypress="clicked(event);" tabindex="2" /></td>
			</tr>
			<tr>
				<td style="padding-top:10px;">
					<script type="text/javascript">
					document.getElementById("UserName").placeholder=g_MqRef.RESX["CAPTION_USERNAME"];
					document.getElementById("Password").placeholder=g_MqRef.RESX["CAPTION_PASSWORD"];
										
						m_objMqButton.WriteButtonHTML(BUTTON_LOGON_NAME,"logOn();",BUTTON_LOGON_BASE_CLASS,false,m_objMqButton.STATE_2,
													"","",document,g_MqRef.RESX["LOGON.LOGON_BUTTON"]);
					</script></td>
			</tr>
			<% if SHOW_AD_LOGON OR SHOW_CREATE_ACCOUNT then %>
		<hr class="LogonDelimHr" id="logonDelim" style="margin-left:-30px; display: none">
		<% end if %>
		<table style="padding:0px;border-spacing:0px; width:100%;" class="extraLoginButtonsTable">
			<% if SHOW_AD_LOGON then %>
		</table>
		
			<tr class="extraLoginButtons">
				<td>
					
					<script type="text/javascript">
						if(!m_blnIsMobile)
						{
							m_objMqButton.WriteTextButtonHTML("networkAcct",g_MqRef.RESX["LOGON.LOGON_WITH_NETWORK_ACCT"], 
											"document.location.replace('/<%=GetBaseVDName()%>/logonauth.asp?' + m_LogonFrm.GetLogonQS())","", 32, 
											"margin-bottom:5px", "", 414);
						} /*else {
							//m_objMqButton.WriteTextButtonHTML("networkAcct",g_MqRef.RESX["LOGON.LOGON_WITH_NETWORK_ACCT"], "document.location.replace('/<%=GetBaseVDName()%>/logonauth.asp')","", 32, "margin-bottom:5px", "", 414);
							document.write(m_objMqButton.GetTextButtonHTML("networkAcct","", 
											"document.location.replace('\/<%=GetBaseVDName()%>\/logonauth.asp')","netAccount.png", 
											65, "margin-bottom:5px;", g_MqRef.RESX["LOGON.LOGON_WITH_NETWORK_ACCT"], 65,
											"HTMLTextButton netAccBtn","TextButton netAccBtn","netAccountImg"));
						}*/
	
					</script>
				</td>
			</tr> 
			<% end if %>
			<tr id="logonAzure">
				<td id="tdLogonAzure" style="width:100%">
				</td>
			</tr>
			
			<% if SHOW_G_LOGON then %>
			<tr class="extraLoginButtons">
				<td id="tdLogonGoogle" style="width:100%">
					<script type="text/javascript">
						var strGLogonURI="/connect/GSuite/LogOn?";
						var strDataWidth="400";
						var strMarginLeft="6";
						if(CMqBrowserDetector().mobile){
							strGLogonURI+="mob=1&";
							strDataWidth="350";
							strMarginLeft="12";
						}
						strGLogonURI+=m_LogonFrm.GetLogonQS();
						
						var strGLogonHTML='<div id="g_id_onload" data-client_id=""  data-ux_mode="popup" dat--a-auto_prompt="true" data-login_uri="' 
							+ strGLogonURI + '" data-use_fedcm_for_prompt="true" >	</div>' 
							+ '<div class="g_id_signin" data-type="standard" data-width="' + strDataWidth  + '" style="margin-left: ' + strMarginLeft + 'px;"></div>';

						document.write(strGLogonHTML);
					</script>							
				</td >
			</tr>
			<% end if %>
			
			
			<% if SHOW_CREATE_ACCOUNT then %>
			<tr class="extraLoginButtons">
				<td>
					<script type="text/javascript">
					if(!m_blnIsMobile){
						m_objMqButton.WriteTextButtonHTML("createAcct",g_MqRef.RESX["LOGON.CREATE_ACCOUNT"], "document.location.replace('/<%=GetBaseVDName()%>?View=Users%26Contacts%2FCreateUser')","", 32, "margin-bottom:5px", "", 414);
					}
					</script>
				</td>
			</tr>
			<% end if %>
			<tr>
				<td>
					<font class="LogonMsgText" id="divLogonMsg" translate="yes" data-res="LOGON.LOGON_MSG"></font>
				</td>
			</tr>
			</table>
						
			<script type="text/javascript">
			if(!m_blnIsMobile){
				strHTML = "<div class=\"CopyrightMsg\" id=\"divCopyrightMsg\" translate=\"yes\" data-res=\"MSG_COPYRIGHT\"><\/div>";
				strHTML += "<div class='CopyrightMsg' id='divBuildNum' style='text-align:right;top:96%'><%=BUILD_NUM%><\/div>";
				document.write(strHTML);
			}
			</script>
			
			<input type="hidden" name="txtbrowsername">
			<input type="hidden" name="txtwindowheight">
			<input type="hidden" name="varCookie" >
			<input type="hidden" name="txtPostData" id="txtPostData" />

			</form>
        </div>
    </div>
    
	<% if SHOW_PERSONA_LOGON then %>
	<div class="EvalContent" id="EvalContent"></div>
	<% end if %>
	<!--Show Login Controls-->
		<div id="controlsTable">
				<span  id="labelControls" class="DialogLabel" style="font-family:tahoma,sans-serif;color:#003366;font-size:12px;" translate="yes" data-res="LOGON_CAPTION_CHECK"></span>
				<input id="ckshowLogonControls" type="checkbox" title="Enable Login Controls" >
				
		</div>

<script>
const _logonUI = new LogonUI(window);
//_logonUI.Init(window);		
_logonUI._chckboxLogginControl.addEventListener('click', function(){_logonUI.ShowHideFromCheckBox();} );

document.getElementById("labelControls").addEventListener('click', function (){ _logonUI.OnClickLabel();});
			
</script>
<!-- Bottom Show Login Controls-->
	<div class="ThemeSelector" id="Selector" style="display: none;"></div>	

	<div class="time" id="time" name="time">
	</div>
	<div class="date" id="date" name="date">
	<% if Not SHOW_PERSONA_LOGON then %>
		<script type="text/javascript">
			if(!m_blnIsMobile)
			{
				WriteDateTime();
			}
		</script>
	<% end if %>
	</div>
	
	<script type="text/javascript">
		if(m_blnIsMobile)
		{
			document.write("<div class=\"CopyrightMsg\" id=\"divCopyrightMsg\" translate=\"yes\" data-res=\"MSG_COPYRIGHT\"><\/div>");
		}
		
		// validate if is Iphone or Android device
		var isAndroid = /Android/i.test(navigator.userAgent);
		var isIphone = /(iPhone|iPod|iPad)/i.test(navigator.userAgent);
		
			
		if (isAndroid) {
			document.getElementById("controlsTable").classList.add("android");
			document.getElementById("loginDivInnerTable").classList.add("androidTableForm");
			document.getElementById("a_Logon").classList.add("androidButtonLogin");
			document.getElementById("Password").classList.add("androidlogonInputPwd");
			document.getElementById("UserName").classList.add("androidlogonInputUserName");
		}

		
		if (isIphone) {
		
			document.getElementById("loginDivInnerTable").classList.add("iphoneTableForm");
			document.getElementById("Password").classList.add("iphonelogonInputPwd");
			document.getElementById("UserName").classList.add("iphonelogonInputUserName");
		} 
			
		CheckCache("<%=BUILD_NUM%>");
		
		function CheckCache(localVersion)
		{
			var blnOldVersion=false;
			if(typeof(g_MqRef.BuildNumber)!="undefined"){
				blnOldVersion = (g_MqRef.BuildNumber != localVersion);
			}else{
				blnOldVersion = true;
			}
			
			if(blnOldVersion){
				var strClearCacheMsg=g_MqRef.RESX["LOGON_MSG_CLEAR_CACHE"];
				if(!strClearCacheMsg){
					strClearCacheMsg="A new version of VIZOR has been installed.<br />Please clear your browser cache and refresh this page before proceeding.";
				}
				g_MqRef.MsgHlpr.DisplayMessage(strClearCacheMsg);
			}
		}
	</script>

	<iframe src="preload.htm" style="display:none" />
</body>
</html>